# Uses of Class
org.apache.lucene.facet.facetset.FacetSet

Packages that use FacetSet
Package
Description
org.apache.lucene.facet.facetset
Provides FacetSets faceting capabilities which allows users to facet on high dimensional field values.

- ## Uses of FacetSet in org.apache.lucene.facet.facetset

  Subclasses of FacetSet in org.apache.lucene.facet.facetset
  Modifier and Type
  Class
  Description
  `class`
  `DoubleFacetSet`
  A `FacetSet` which encodes double dimension values.
  `class`
  `FloatFacetSet`
  A `FacetSet` which encodes float dimension values.
  `class`
  `IntFacetSet`
  A `FacetSet` which encodes integer dimension values.
  `class`
  `LongFacetSet`
  A `FacetSet` which encodes long dimension values.
  Methods in org.apache.lucene.facet.facetset with parameters of type FacetSet
  Modifier and Type
  Method
  Description
  `static FacetSetsField`
  FacetSetsField.`create(String name, FacetSet... facetSets)`
  Create a new FacetSets field.
  Constructors in org.apache.lucene.facet.facetset with parameters of type FacetSet
  Modifier
  Constructor
  Description
  ``
  `ExactFacetSetMatcher(String label, FacetSet facetSet)`
  Constructs an instance to match the given facet set.